progress {
    vertical-align: baseline
}

@-webkit-keyframes progress-bar-stripes {
    0% {
        background-position: .5rem 0
    }

    to {
        background-position: 0 0
    }
}

@keyframes progress-bar-stripes {
    0% {
        background-position: .5rem 0
    }

    to {
        background-position: 0 0
    }
}

.progress {
    height: .5rem;
    overflow: hidden;
    font-size: .75rem;
    background-color: #eff2f7;
    border-radius: 50rem;
    -webkit-box-shadow: inset 0 .1rem .1rem rgba(31, 45, 61, .1);
    box-shadow: inset 0 .1rem .1rem rgba(31, 45, 61, .1)
}

.progress,
.progress-bar {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex
}

.progress-bar {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    background-color: #6e00ff;
    -webkit-transition: width .6s ease;
    transition: width .6s ease
}

@media (prefers-reduced-motion:reduce) {
    .progress-bar {
        -webkit-transition: none;
        transition: none
    }
}

.progress-bar-striped {
    background-image: linear-gradient(45deg, hsla(0, 0%, 100%, .15) 25%, transparent 0, transparent 50%, hsla(0, 0%, 100%, .15) 0, hsla(0, 0%, 100%, .15) 75%, transparent 0, transparent);
    background-size: .5rem .5rem
}

.progress-bar-animated {
    -webkit-animation: progress-bar-stripes 1s linear infinite;
    animation: progress-bar-stripes 1s linear infinite
}

@media (prefers-reduced-motion:reduce) {
    .progress-bar-animated {
        -webkit-animation: none;
        animation: none
    }
}

.progress-wrapper {
    position: relative;
    padding-top: 1.5rem
}

.progress-wrapper .progress {
    margin-bottom: 1rem
}

.progress-inverse {
    background-color: inverse(#eff2f7)
}

.progress-heading {
    font-size: .875rem;
    font-weight: 600;
    margin: 0 0 2px;
    padding: 0
}

.progress-text {
    margin-bottom: 0
}

.progress-xl {
    height: 1.25rem
}

.progress-lg {
    height: 1rem
}

.progress-md {
    height: .75rem
}

.progress-sm {
    height: .375rem
}

.progress-xs {
    height: .125rem
}

.progress-group {
    position: relative
}

.progress-prepend-icon {
    position: absolute;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    font-size: 20px;
    top: 50%
}

.progress-prepend-icon:not(:first-child) {
    right: -17px
}

.progress-prepend-icon:not(:last-child) {
    left: -17px
}

.progress-tooltip {
    display: inline-block;
    background: rgba(0, 0, 0, .8);
    color: #fff;
    padding: .25rem .375rem;
    line-height: 1;
    font-size: .7rem;
    position: relative;
    bottom: 8px;
    border-radius: 3px;
    margin-left: -15px
}

.progress-tooltip:after {
    top: 100%;
    left: 10px;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border: 5px solid rgba(51, 51, 51, 0);
    border-top-color: rgba(0, 0, 0, .8)
}

.progress-label {
    left: 0;
    color: #3c4858
}

.progress-label,
.progress-percentage {
    display: inline-block;
    position: absolute;
    top: 0
}

.progress-percentage {
    right: 0
}

.progress-circle {
    width: 100px;
    height: 100px;
    left: 50%;
    transform: translateX(-50%);
}

.progress-circle .progressbar-text {
    font-size: 1.5rem;
    font-weight: 500;
    color: #8492a6 !important
}

.progress-circle .h1,
.progress-circle .h2,
.progress-circle .h3,
.progress-circle [class^=display] {
    color: #3c4858 !important
}

.progress-circle svg path {
    stroke-linecap: round
}

.progress-circle.progress-sm {
    width: 60px;
    height: 60px
}

.progress-circle.progress-sm .progressbar-text {
    font-size: .875rem
}

.progress-circle.progress-lg {
    width: 140px;
    height: 140px
}

.progress-circle.progress-lg .progressbar-text {
    font-size: 1.25rem
}

.progress-circle.progress-xl {
    width: 200px;
    height: 200px
}

.progress-circle.progress-xl .progressbar-text {
    font-size: 1.25rem
}